Debian Bug report logs - #385864
Undeclared build conflict with autoconf 2.13

version graph

Package: libfwbuilder; Maintainer for libfwbuilder is Sylvestre Ledru <sylvestre@debian.org>;

Reported by: Matthias Klose <doko@cs.tu-berlin.de>

Date: Sun, 3 Sep 2006 14:48:14 UTC

Severity: important

Found in version 2.0.9-3.3

Fixed in version libfwbuilder/2.1.17-1

Done: Torsten Werner <twerner@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, jbouse@debian.org (Jeremy T. Bouse):
Bug#385864; Package libfwbuilder. Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@cs.tu-berlin.de>:
New Bug report received and forwarded. Copy sent to jbouse@debian.org (Jeremy T. Bouse). Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@cs.tu-berlin.de>
To: submit@bugs.debian.org
Subject: FTBFS: syntax error in configure script
Date: Sun, 3 Sep 2006 16:20:00 +0200
Package: libfwbuilder
Version: 2.0.9-3.3
Severity: serious

[...]
checking for c++... g++
checking whether the C++ compiler (g++  ) works... yes
checking whether the C++ compiler (g++  ) is a cross-compiler... no
checking whether we are using GNU C++... yes
checking whether g++ accepts -g... yes
checking how to run the C++ preprocessor... g++ -E
checking whether byte ordering is bigendian... no
checking whether make sets ${MAKE}... yes
checking for strtok_r... yes
checking for endian.h... yes
checking for getopt.h... yes
checking whether make is GNU Make... yes
./configure: line 2037: syntax error near unexpected token `newline'
./configure: line 2037: `ACX_PTHREAD('
make: *** [stampdir/config] Error 2



Information forwarded to debian-bugs-dist@lists.debian.org, jbouse@debian.org (Jeremy T. Bouse):
Bug#385864; Package libfwbuilder. Full text and rfc822 format available.

Acknowledgement sent to Mario Iseli <admin@marioiseli.com>:
Extra info received and forwarded to list. Copy sent to jbouse@debian.org (Jeremy T. Bouse). Full text and rfc822 format available.

Message #10 received at 385864@bugs.debian.org (full text, mbox):

From: Mario Iseli <admin@marioiseli.com>
To: 385864@bugs.debian.org
Subject: Unreproducible
Date: Sat, 9 Sep 2006 09:55:03 +0200
Hello,

on my machine using Debian Sid the package builds without any problem,
also in my pbuilder. If no other solution, I will tag the bug as
unreproducible.

Thanks

-- 
  .''`.     Mario Iseli <admin@marioiseli.com>
 : :'  :    proud user of Debian unstable
 `. `'`
   `-  Debian - when you have better things to do than fixing a system



Information forwarded to debian-bugs-dist@lists.debian.org, jbouse@debian.org (Jeremy T. Bouse):
Bug#385864; Package libfwbuilder. Full text and rfc822 format available.

Acknowledgement sent to Mario Iseli <mario@marioiseli.com>:
Extra info received and forwarded to list. Copy sent to jbouse@debian.org (Jeremy T. Bouse). Full text and rfc822 format available.

Message #15 received at 385864@bugs.debian.org (full text, mbox):

From: Mario Iseli <mario@marioiseli.com>
To: 385864@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Downgrading
Date: Sat, 9 Sep 2006 10:27:22 +0200
tags 385864 +unreproducible
severity 385864 important
thanks

Ok, as I already announced i can't reproduce this bug. Tobias Klauser
and Steve Langasek also can't. So i tag it now as unreproducible and set
the severity to important, to just let it in the BTS.

Mario



Tags added: unreproducible Request was from Mario Iseli <mario@marioiseli.com> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `important' from `serious' Request was from Mario Iseli <mario@marioiseli.com> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, jbouse@debian.org (Jeremy T. Bouse):
Bug#385864; Package libfwbuilder. Full text and rfc822 format available.

Acknowledgement sent to Mark Brown <broonie@sirena.org.uk>:
Extra info received and forwarded to list. Copy sent to jbouse@debian.org (Jeremy T. Bouse). Full text and rfc822 format available.

Message #24 received at 385864@bugs.debian.org (full text, mbox):

From: Mark Brown <broonie@sirena.org.uk>
To: 385864@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Syntax erorr in configure reproduced
Date: Sun, 15 Jul 2007 12:07:10 +0100
[Message part 1 (text/plain, inline)]
retitle 385864 Undeclared build conflict with autoconf 2.13
tag 385864 - unreproducible
thanks

I have just managed to reproduce this problem using autoconf 2.13 on
sid.  I did notice that autogen.sh generated a number of warnings as it
ran, including a complaint that the acinclude command was not found.
Uninstalling autoconf 2.13 meant that autoconf 2.50 was run and
autogen.sh was able to complete succesfully.

The package should declare a build-conflicts with autoconf2.13.

autogen.sh output:

Remember to add `AC_PROG_LIBTOOL' to `configure.in'.
You should update your `aclocal.m4' by running aclocal.
./autogen.sh: line 27: acinclude: command not found
/usr/share/aclocal/paragui.m4:12: warning: underquoted definition of AM_PATH_PARAGUI run info '(automake)Extending aclocal' or see http://sources.redhat.com/automake/automake.html#Extending-aclocal
/usr/share/aclocal/gob.m4:7: warning: underquoted definition of GOB_HOOK
configure.in:101: warning: AC_TRY_RUN called without default to allow
cross compiling
autoconf: Undefined macros:
configure.in:103:               AC_MSG_ERROR(Failed to determine endianness!!))
configure.in:131:AC_MSG_ERROR("SUN make does not work for building libfwbuilder. Please install GNU make")
configure.in:169:   AC_MSG_ERROR([POSIX threads library not present or not configured])
configure.in:177:   AC_MSG_ERROR([libxml2 not present or not configured])
configure.in:196:   AC_MSG_ERROR([libxslt not present or not configured])
configure.in:293:            AC_MSG_ERROR([Your openssl package is too old; please upgrade to at least 0.9.6b])
configure.in:549:      AC_MSG_ERROR([Could not find lwres library or link with it.]) )
configure.in:63:    AC_MSG_ERROR("Could not find qmake")
configure.in:70:     *) AC_MSG_ERROR( "$qmake_version -- v3.x is required") ;;

-- 
"You grabbed my hand and we fell into it, like a daydream - or a fever."
[signature.asc (application/pgp-signature, inline)]

Changed Bug title to `Undeclared build conflict with autoconf 2.13' from `FTBFS: syntax error in configure script'. Request was from Mark Brown <broonie@sirena.org.uk> to control@bugs.debian.org. (Sun, 15 Jul 2007 11:09:02 GMT) Full text and rfc822 format available.

Tags removed: unreproducible Request was from Mark Brown <broonie@sirena.org.uk> to control@bugs.debian.org. (Sun, 15 Jul 2007 11:09:03 GMT) Full text and rfc822 format available.

Tags added: pending Request was from Torsten Werner <twerner@debian.org> to control@bugs.debian.org. (Tue, 18 Mar 2008 20:00:08 GMT) Full text and rfc822 format available.

Reply sent to Torsten Werner <twerner@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Matthias Klose <doko@cs.tu-berlin.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #35 received at 385864-close@bugs.debian.org (full text, mbox):

From: Torsten Werner <twerner@debian.org>
To: 385864-close@bugs.debian.org
Subject: Bug#385864: fixed in libfwbuilder 2.1.17-1
Date: Tue, 18 Mar 2008 21:47:06 +0000
Source: libfwbuilder
Source-Version: 2.1.17-1

We believe that the bug you reported is fixed in the latest version of
libfwbuilder, which is due to be installed in the Debian FTP archive:

libfwbuilder-dev_2.1.17-1_i386.deb
  to pool/main/libf/libfwbuilder/libfwbuilder-dev_2.1.17-1_i386.deb
libfwbuilder7_2.1.17-1_i386.deb
  to pool/main/libf/libfwbuilder/libfwbuilder7_2.1.17-1_i386.deb
libfwbuilder_2.1.17-1.diff.gz
  to pool/main/libf/libfwbuilder/libfwbuilder_2.1.17-1.diff.gz
libfwbuilder_2.1.17-1.dsc
  to pool/main/libf/libfwbuilder/libfwbuilder_2.1.17-1.dsc
libfwbuilder_2.1.17.orig.tar.gz
  to pool/main/libf/libfwbuilder/libfwbuilder_2.1.17.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 385864@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Torsten Werner <twerner@debian.org> (supplier of updated libfwbuilder package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Tue, 18 Mar 2008 21:04:29 +0100
Source: libfwbuilder
Binary: libfwbuilder-dev libfwbuilder7
Architecture: source i386
Version: 2.1.17-1
Distribution: unstable
Urgency: low
Maintainer: Sylvestre Ledru <sylvestre.ledru@inria.fr>
Changed-By: Torsten Werner <twerner@debian.org>
Description: 
 libfwbuilder-dev - Firewall Builder API library development files
 libfwbuilder7 - Firewall Builder API library
Closes: 385864 421618 449814 470401
Changes: 
 libfwbuilder (2.1.17-1) unstable; urgency=low
 .
   [ Sylvestre Ledru ]
   * New upstream version (Closes: #470401)
   * New watch file (Closes: #449814)
   * Fields Homepage, Vcs-Svn and Vcs-Browser added
   * Standards-Version updated to 3.7.3
   * Torsten and Sylvestre added as (co-)maintainers
 .
   [ Torsten Werner ]
   * Replace ${Source-Version} by ${binary:Version}.
   * Add Build-Conflicts: autoconf2.13. (Closes: #385864)
   * Build the package in current sid. (Closes: #421618)
   * Switch to debhelper 5.
Files: 
 e0378fcfd3ae03ccb4c574050f80a0f4 1046 libs optional libfwbuilder_2.1.17-1.dsc
 94b4a0e8ff8da642726c8b103362956e 318061 libs optional libfwbuilder_2.1.17.orig.tar.gz
 fb238ec9c1e84032cad5f79df0fa96ca 6098 libs optional libfwbuilder_2.1.17-1.diff.gz
 3b4fae4aee3da108de2dcbfe18a23f7f 106496 libdevel optional libfwbuilder-dev_2.1.17-1_i386.deb
 baef34988503a5da108ef5ab4a29034c 548006 libs optional libfwbuilder7_2.1.17-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFH4DZrfY3dicTPjsMRAswFAJ9+ijG/0AQyrmb7jBA7XUK3/bI7WQCgjM1P
xSddd9ebLgjKZQ9dmwtxY28=
=r4wt
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 17 Apr 2008 07:36:01 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 13:25:00 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.